%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  Blend
%global packver   0.1.1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.1.1
Release:          1%{?dist}%{?buildtag}
Summary:          Robust Bayesian Longitudinal Regularized Semiparametric Mixed Models

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.2.0
Requires:         R-core >= 4.2.0
BuildRequires:    R-CRAN-Rcpp 
BuildRequires:    R-splines 
BuildRequires:    R-stats 
BuildRequires:    R-CRAN-ggplot2 
BuildRequires:    R-CRAN-RcppArmadillo 
Requires:         R-CRAN-Rcpp 
Requires:         R-splines 
Requires:         R-stats 
Requires:         R-CRAN-ggplot2 

%description
Our recently developed fully robust Bayesian semiparametric mixed-effect
model for high-dimensional longitudinal studies with heterogeneous
observations can be implemented through this package. This model can
distinguish between time-varying interactions and constant-effect-only
cases to avoid model misspecifications. Facilitated by spike-and-slab
priors, this model leads to superior performance in estimation,
identification and statistical inference. In particular, robust Bayesian
inferences in terms of valid Bayesian credible intervals on both
parametric and nonparametric effects can be validated on finite samples.
The Markov chain Monte Carlo algorithms of the proposed and alternative
models are efficiently implemented in 'C++'.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
